Return the server-owned Board Statement DSL authoring schema.
GET
/api/workspace/admin/boards/boards/{boardId}/statements/authoring
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/admin/boards/boards/example/statements/authoring"),};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/admin/boards/boards/example/statements/authoring';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/workspace/admin/boards/boards/example/statements/authoringAuthorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”boardId
required
string
Query Parameters
Section titled “Query Parameters”boardTargetDefinitionId
string
access_token
string
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
Media typeapplication/json
object
Data
Server-owned Board Statement authoring schema.
object
ProfileKey
string
ProfileVersion
integer format: int32
EngineVersion
string
Roots
Array<object>
One root available in the Board Statement DSL profile.
object
Name
string
Paths
Array<object>
One scalar Board Statement DSL path.
object
Path
string
ValueFamily
string
Nullable
boolean
Description
string
Collections
Array<object>
One collection available to EXISTS and COUNT.
object
Path
string
ItemPaths
Array<object>
One scalar Board Statement DSL path.
object
Path
string
ValueFamily
string
Nullable
boolean
Description
string
Description
string
Operators
Array<string>
Variables
Array<string>
Functions
Array<object>
One function available in the Board Statement DSL profile.
object
Name
string
ArgumentFamilies
Array<Array<string>>
ResultFamilies
Array<string>
Description
string
Example
string
LiteralExamples
Array<string>
DiagnosticCodes
Array<string>
Examples
Array<string>
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
Media typeapplication/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
Media typeapplication/json
object
Data
Server-owned Board Statement authoring schema.
object
ProfileKey
string
ProfileVersion
integer format: int32
EngineVersion
string
Roots
Array<object>
One root available in the Board Statement DSL profile.
object
Name
string
Paths
Array<object>
One scalar Board Statement DSL path.
object
Path
string
ValueFamily
string
Nullable
boolean
Description
string
Collections
Array<object>
One collection available to EXISTS and COUNT.
object
Path
string
ItemPaths
Array<object>
One scalar Board Statement DSL path.
object
Path
string
ValueFamily
string
Nullable
boolean
Description
string
Description
string
Operators
Array<string>
Variables
Array<string>
Functions
Array<object>
One function available in the Board Statement DSL profile.
object
Name
string
ArgumentFamilies
Array<Array<string>>
ResultFamilies
Array<string>
Description
string
Example
string
LiteralExamples
Array<string>
DiagnosticCodes
Array<string>
Examples
Array<string>
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}